Description

Hi,

mpg123 probe error when trying to reproduce a AAC file that ends with a MP3 suffix.

VLC plays the file just fine

$ wget http://ftp.neutrino.es/audacious/04_probe_error.mp3

# ...

$ audacious 04_probe_error.mp3 

mpg123 probe error for file:///tmp/04_probe_error.mp3: Message: I am done with this track.

mpg123 error in file:///tmp/04_probe_error.mp3: Error reading the stream. (code 18)

$ audacious -v

Audacious 3.5 (Debian package)

$ file 04_probe_error.mp3 

04_probe_error.mp3: ISO Media, MPEG v4 system, iTunes AAC-LC

$ vlc 04_probe_error.mp3 

# works without problem

$ mediainfo 04_probe_error.mp3 

General

Complete name                            : 04_probe_error.mp3

Format                                   : MPEG-4

Format profile                           : Apple audio with iTunes info

Codec ID                                 : M4A 

File size                                : 10.7 MiB

Duration                                 : 5mn 44s

Overall bit rate mode                    : Variable

Overall bit rate                         : 261 Kbps

Track name                               : EL Tema (Bootleg) - Fatima Hajji Colab Xbal

Encoded date                             : UTC 2014-12-03 01:46:29

Tagged date                              : UTC 2014-12-03 01:46:41

Writing application                      : iTunes 11.4

Encoding Params                          : (Binary)

Audio

ID                                       : 1

Format                                   : AAC

Format/Info                              : Advanced Audio Codec

Format profile                           : LC

Codec ID                                 : 40

Duration                                 : 5mn 44s

Bit rate mode                            : Variable

Bit rate                                 : 256 Kbps

Maximum bit rate                         : 385 Kbps

Channel(s)                               : 2 channels

Channel positions                        : Front: L R
Sampling rate                            : 44.1 KHz

Compression mode                         : Lossy

Stream size                              : 10.7 MiB (99%)

Encoded date                             : UTC 2014-12-03 01:46:29

Tagged date                              : UTC 2014-12-03 01:46:41

$ mv 04_probe_error.mp3 04_probe_error.acc

$ audacios 04_probe_error.acc

# now works (!)

History

#1 - December 04, 2014 02:15 - carlos lopez

I'm not sure if the common suffix or an AAC file is .acc or .aac,

but If i rename it to .aac i get:

$ mv 04_probe_error.mp3 04_probe_error.aac

$ audacious 04_probe_error.aac 

aac: No valid frame header found.

#error

#2 - December 04, 2014 05:15 - John Lindgren

- Status changed from New to Rejected

Not a bug.  Don't give your AAC files "mp3" extensions.

#3 - December 04, 2014 05:17 - John Lindgren

By the way, the correct suffix for AAC in an MPEG-4 container is "mp4" or "m4a".  "aac" is for raw AAC files/streams.
